"""add 'Awaiting QA' to 'Complete' transition for standard calibration

Revision ID: 2e185d05a21f
Revises: 25db7ee329f4
Create Date: 2021-10-27 07:22:47.394930

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "2e185d05a21f"
down_revision = "25db7ee329f4"
branch_labels = None
depends_on = None


def upgrade():
    """
    Add the Awaiting QA => Complete transition
    to capability_state_transitions table

    :return:
    """
    op.execute(
        """
INSERT INTO capability_state_transitions
    (capability_name, from_state, to_state, pattern)
    VALUES ('std_calibration', 'Awaiting QA', 'Complete',
            'type == qa-pass')
    """
    )


def downgrade():
    """
    Remove the Awaiting QA => Complete transition
    from capability_state_transitions table

    :return:
    """
    op.execute(
        """
    DELETE FROM capability_state_transitions
WHERE capability_name='std_calibration'
AND from_state='Awaiting QA'
AND to_state='Complete'
    """
    )
